:root {
	/* COLOR VARS */
	/* https://coolors.co/B13547-E76F51-EFB366-8DA87B-2A9D8F-337C99-804762-D98190-97ACB4 */
	--color-red:	#B13547;
	--color-orange: #E76F51;
	--color-yellow: #EFB366;
	--color-green:  #8DA87B;
	--color-cyan:   #2A9D8F;
	--color-blue:   #337C99;
	--color-purple: #804762;
	--color-pink:   #D98190;
	--color-grey:   #97ACB4; /* 65% */
	--color-bg:     #F8FBFB; /* 98% */
	--color-text:   #243A42; /* 20% */

	--font-text: 'IBM Plex Mono', ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas, 'DejaVu Sans Mono', "Apple Color Emoji", monospace;
	--font-heading: var(--font-text);
	--font-monospace: var(--font-text);

	--opacity: 0.1;
	--opacity-hl: 0.25;

	--border: 0.15rem solid;
	--radius: 0.5rem;
}

body {
	--color: var(--color-grey);

	box-sizing: border-box;
	color: var(--color-text);
	background-color: var(--color-bg);
	background-size: auto 100vh;
	background-attachment: fixed;
	background-position: center center;
	font-family: var(--font-text);
	font-size: 0.95rem;
	line-height: 1.5;
}



/* BLOCKQUOTE */
blockquote {
	margin-left: 0;
	padding-left: 1rem;
	border-left: var(--border) var(--color-cyan);
}



/* BOOKMARKS */
.bookmark {
	border-radius: .5rem;
	border: var(--border) var(--color);
	margin: 1em 0;
	color: var(--color);
	background-color: rgb(from var(--color) r g b / var(--opacity));
	overflow: hidden;

	a,
	a:hover {
		text-decoration: none;
	}

	a:visited {
		color: var(--blue);
	}

	.bookmark-head {
		background-color: var(--color);
		color: var(--color-bg);
		padding: 1rem 1.5rem .5rem 1.5rem;
		margin-top: -2px;

		& hr {
			border-color: var(--color-bg);
		}
	}

	.bookmark-title {
		text-align: center;
		font-size: 1.17rem;
		font-weight: 700;
		text-transform: uppercase;
	}

	.bookmark-description {
		margin-top: 1rem;
	}

	.bookmark-foot {
		padding: 1rem 1.5rem 1rem 1.5rem;
		margin-bottom: -2px;
		transition: all .35s ease-in-out;

		&::after {
			content: " →";
			color: transparent;
		}
	}

	&:hover {
		.bookmark-foot {
			background-color: var(--color);
			color: var(--color-bg);
			margin-bottom: -2px;

			&::after {
				color: var(--color-bg);
			}
		}
	}
}



/* CALLOUTS */
.callout {
	display: flex;
	align-items: center;
	gap: 1em;
	border: var(--border) var(--color);
	border-radius: var(--radius);

	.icon {
		display: flex;
		align-items: center;
		background-color: var(--color);
		color: var(--color-bg);
		line-height: unset;
		padding: 0.75rem;
		border-radius: 0;
		align-self: stretch;
		gap: 0.75rem;
	}
}



/* CODE */
code {
	border-radius: 0.2rem;
	padding: 0.1em 0.3em;
	background-color: rgb(from var(--color-purple) r g b / var(--opacity));
	color: var(--color-purple);
}



/* CONTENT */
#content {
	width: 80%;
	max-width: 700px;
	margin: 2rem auto;
	padding: 1rem 2rem;
	background-color: var(--color-bg);
	opacity: 95%;
	border-radius: var(--radius);
}



/* DATE */
time#date {
	display: block;
	width: 100%;
	font-style: italic;
	text-align: center;
	color: var(--color-grey);
	margin-bottom: 3rem;
}

h1:has(+ time) {
	margin-bottom: 0.2rem;
}



/* FIGURE */
figure {
	width: 100%;
	margin: 2rem 0;

	img {
		border: var(--border) var(--color);
		border-radius: var(--radius);
	}

	figcaption {
		text-align: center;
		font-size: 0.9em;
		color: var(--color);
		font-style: italic;
	}
}



/* FOOTER */
#footer {
	display: grid;
	grid-template-columns: 1fr 1.5fr;
	margin: 3rem 0 1rem 0;

	nav {
		display: flex;
		flex-flow: row wrap;
		justify-content: flex-end;

		ul {
			display: flex;
			flex-flow: row wrap;
			justify-content: flex-end;
			margin: 1em 0;
			padding: 0;
			list-style-type: none;
	
			li {
				display: inline;
				margin-right: 0.5rem;
				margin-block: 0;
				text-align: right;
			}
		}

		p {
			text-align: right;
			clear: right;
		}
	}
}



/* HEADER */
#header {
	nav {
		font-size: 1.2em;
		text-transform: uppercase;
		font-weight: bold;

		a {
			color: var(--color-yellow);
			text-decoration: none;
			transition: all 0.15s ease-in-out;
		}

		a:hover {
			color: var(--color-orange);
		}

		p {
			float: left;
			margin: 0 0.5rem 0 0;
		}

		ul {
			display: flex;
			flex-flow: row wrap;
			justify-content: flex-end;
			margin: 0;
			padding-left: 0.5rem;
			list-style-type: none;
			gap: 0.5rem;

			li {
				display: inline;
				margin-block: 0;
			}
		}
	}
}



/* HEADINGS */
h1,
h3,
h4 {
	text-align: center;
}

h1 {
	color: var(--color-green);
	font-size: 2.488em;
	margin-block: 5rem 3rem;
}

h2 {
	color: var(--color-blue);
	font-size: 2.047em;
	border-left: var(--border) currentColor;
	padding-left: 0.6rem;
	padding-bottom: 0.2rem;
}

h3 {
	color: var(--color-orange);
	font-size: 1.728em;
}

h4 {
	color: var(--color-yellow);
	font-size: 1.44em;
	font-style: italic;
}

h5 {
	color: var(--color-cyan);
	font-style: 1.2em;
}

h6 {
	font-style: italic;
	font-size: 1em;
}



/* HR (HORIZONTAL RULE) */
hr {
	border: none;
	border-bottom: var(--border) var(--color-yellow);
	width: 80%;
	max-width: 300px;
}



/* IMAGES */
img {
	box-sizing: border-box;
	width: 100%;
}

	/* IMAGEDISPLAY */
#imageDisplay {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	overflow: hidden;
	margin-block: 2.078rem;
	width: calc(100% - 0.3rem);
	border: var(--border) var(--color);
	border-radius: var(--radius);

	.image {
		width: 33.333%;
		aspect-ratio: 1 / 1;
		overflow: hidden;
		position: relative;

		img {
			height: 100%;
			width: auto;
			position: absolute;
			left: 50%;
			top: 50%;
			-webkit-transform: translate(-50%,-50%);
				-ms-transform: translate(-50%,-50%);
					transform: translate(-50%,-50%);
		}
	}
}



/* LINKS */
a {
	color: var(--color-blue);
	transition: all 0.2s ease-in;
}

a:visited {
	color: var(--color-purple);
}

a:visited:hover {
	color: color-mix(in xyz, var(--color-purple) 20%, var(--color-text) 80%);
}

a:hover {
	color: color-mix(in xyz, var(--color-blue) 20%, var(--color-text) 80%);
}



/* LISTS */
ul,
ol {
	li {
		margin-block: 1em;

		&::marker {
			color: var(--color-pink);
		}
	}
}



/* MARK */
mark {
	--color: var(--color-grey);

	color: var(--color-text);
	background-color: rgb(from var(--color) r g b / var(--opacity));
	border-radius: 0.1rem;
}



/* POST/PAGE LISTS */
.postList,
#postMeta,
#reccedPages,
#pageIndex {
	dt {
		display: block;
		float: left;
		margin-right: 0.3em;

		&::after {
			content: ": ";
		}
	}

	dd {
		margin-inline-start: 0;
		list-style-type: none;

		ul {
			padding-left: 0;
		}

		li {
			display: inline;
			margin-inline-start: 0;
			list-style-type: none;

			&:not(:last-child)::after {
				content: ", ";
			}
		}
	}

	dd:not(:last-child) {
		margin-bottom: 0.5rem;
	}

	> ol,
	> ul {
		list-style: none;
		padding-left: 0;

		> li {
			/* background-color: rgb(from var(--color-grey) r g b / var(--opacity)); */
			border: var(--border) var(--color-grey);
			border-radius: var(--radius);
			padding: 1rem;
			margin-block: 1rem;
		}
	}

	dl {
		background-color: rgb(from var(--color-grey) r g b / var(--opacity));
		border: var(--border) var(--color-grey);
		border-radius: var(--radius);
		padding: 1rem;
		margin-block: 1rem;
	}
}


#postMeta dl {
	background-color: transparent;
}

#projIndex,
#tagsIndex {
	details {
		border: var(--border) var(--color-grey);
		border-radius: var(--radius);
		padding: 1rem;
		margin-block: 1rem;
	}

	ol.postList,
	ul.postList {
		list-style: none;
		padding-left: 0;

		> li {
			background-color: rgb(from var(--color-grey) r g b / var(--opacity));
			border: var(--border) var(--color-grey);
			border-radius: var(--radius);
			padding: 1rem;
			margin-block: 1rem;
		}
	}
}

#recentPosts {
	>p {
		text-align: right;
	}
}

.series {
	display: grid;
    grid-template-columns: 1fr 1fr 1fr;
	border: var(--border) var(--color-grey);
	margin-block: 1rem;
	padding: 1rem;
	align-items: center;
	border-radius: var(--radius);

	div:nth-child(2) {
		text-align: center;
	}

	div:last-child {
		text-align: right;
	}
}



/* SELECTION */
::selection {
	background-color: rgb(from var(--color) r g b / var(--opacity));
}



/* TABLE */
table {
	--color: var(--color-pink);

	border: var(--border) var(--color);
	border-collapse: collapse;
	margin-inline: auto;

	th, td {
		border: var(--border) var(--color);
		padding: 0.2em 0.5em;
	}

	th {
		background-color: var(--color);
		color: var(--color-bg);
		text-align: left;
	}

	tr:nth-child(even){
		background-color: rgb(from var(--color) r g b / var(--opacity));
	}
}



/* TOOLTIP */
.tooltip {
	position: relative;
	text-indent: 0 !important;
	font-style: normal;
	font-weight: normal;

	&::before {
		position: absolute;
		content: attr(data-text);
		background: var(--color-blue);
		box-shadow: 0 4px 8px 0 rgb(from var(--color-text) r g b / var(--opacity)), 0 6px 20px 0 rgb(from var(--color-text) r g b / var(--opacity));
		color: var(--color-bg);
		text-align: left;
		text-transform: none;
		font-weight: initial;
		font-size: 0.85rem;
		transform: translateX(-50%);
		left: 50%;
		bottom: 140%;
		width: max-content;
		max-width: 450px;
		line-height: 1.2;
		padding: .3em .5em;
		border-radius: .5rem;
		z-index: 1089;
		display: block;
		visibility: hidden;
		opacity: 0;
		transition: opacity 0.2s ease-in;
	}

	&:hover::before {
		visibility: visible;
		opacity: 1;
	}
}



/* ADDENDUM: WIDTH */
@media (max-width: 700px) {
	body {
		font-size: 0.9em;
	}
}

@media (max-width: 500px) {
	body {
		font-size: 0.8em;
	}
}